Intrusion Prevention

Adobe.Shockwave.Player.Dir.File.Parsing.Heap.Overflow

Description

This indicates an attack attempt to exploit a remote code-execution vulnerability in Adobe Shockwave Player.
The vulnerability is caused by an error when the vulnerable software handles a "DIR" file that includes an overly large integer value field. It can be exploited via a crafted ".dir" file, leading to remote code execution.

Affected Products

Shockwave Player 11.5.2.602 and earlier versions for Windows and Macintosh

Impact

System Compromise: Remote attackers can gain control of vulnerable systems.

Recommended Actions

Refer to the vendor's web site for suggested workaround.
http://www.adobe.com/support/security/bulletins/apsb10-03.html

CVE References

CVE-2009-4002